Delete appRoleAssignedTo
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Deletes an appRoleAssignment that a user, group, or client service principal has been granted for a resource service principal.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | AppRoleAssignment.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | AppRoleAssignment.ReadWrite.All |
HTTP request
DELETE /servicePrincipals/{resource-SP-id}/appRoleAssignedTo/{appRoleAssignment-id}
Note
As a best practice, we recommend you use this method to delete app role assignments, instead of the Delete appRoleAssignments method which deletes through the appRoleAssignments relationship of the assigned user, group, or service principal.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns 204 No Content response code. It does not return anything in the response body.
Examples
Request
Here is an example of the request to delete an app role assignment from the resource service principal.
DELETE https://graph.microsoft.com/beta/servicePrincipals/{resource-SP-id}/appRoleAssignedTo/{appRoleAssignment-id}
In this example, {resource-SP-id} is the id of the resource service principal, and {appRoleAssignment-id} is the id of the appRoleAssignment object that represents an assignment to the user, group, or client service principal.
Response
The following is an example of the response.
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for